Name: jsch
Version: 0.1.18
Release: alt0.M24.1

Summary: Java implementation of SSH2
Group: Development/Java
License: BSD-style
URL: http://www.jcraft.com/jsch/

Packager: Mikhail Zabaluev <mhz@altlinux.ru>

Source: %name-%version.tar.bz2

BuildArch: noarch

BuildPreReq: /proc
BuildPreReq: rpm-build-java java-common >= 1.2
BuildRequires: ant
BuildRequires: j2se1.4-sun-devel >= 1.4

Requires: java-common >= 1.2 j2se >= 1.4.2

%description
JSch is a pure Java implementation of SSH2, a secure remote shell protocol.
JSch allows you to connect to an sshd server and use port forwarding,
X11 forwarding, file transfer, etc., and you can integrate its
functionality into your own Java programs.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: java-common >= 1.2

%description javadoc
Javadoc-generated API documentation for JSch, a pure Java
implementation of SSH2.

%package demo
Summary: Examples for %name
Group: Development/Java
Requires: %name = %version-%release

%description demo
Examples demonstrating how to use JSch, a pure Java
implementation of SSH2.

%prep
%setup -q

%build
%__ant \
%if_enabled debug
    -Djavac.debug=true \
%endif
    dist javadoc examples

%install

%__mkdir_p %buildroot%_docdir/%name-%version/samples
%__mkdir_p %buildroot%_javadocdir/%name
%__mkdir_p %buildroot%_javadir

# jar
%__install -m644 dist/lib/%name-*.jar %buildroot%_javadir/%name.jar

# javadoc
%__cp -r javadoc/* %buildroot%_javadocdir/%name/

# demo
%__cp -r examples/* %buildroot%_docdir/%name-%version/samples

%__cp {README,LICENSE.txt,ChangeLog} %buildroot%_docdir/%name-%version

%files
%dir %_docdir/%name-%version
%_docdir/%name-%version/README
%_docdir/%name-%version/LICENSE.txt
%_docdir/%name-%version/ChangeLog
%_javadir/*

%files javadoc
%_javadocdir/%name

%files demo
%_docdir/%name-%version/samples

%changelog
* Thu Apr 14 2005 Alexey Borovskoy <alb@altlinux.ru> 0.1.18-alt0.M24.1
- Backport to Master 2.4
- Spec cleanup

* Tue Jan 04 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.1.18-alt1
- New upstream release
- Use macros provided by rpm-build-java
- Examples packaged

* Mon Sep 20 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.1.17-alt1
- New upstream release

* Mon Jun 07 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.1.15-alt1
- New upstream release

* Sun Mar 28 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.1.14-alt1
- Package created
